// 公共工具方法

/**
 * 将报告详情字符串中的iframe加token,reportId参数
 * @param str 报告详情
 * @param reportId 
 * @param chapterId
 * @returns 
 */
export const addTokenToIframe=(str,reportId,chapterId=0)=>{
    const token=localStorage.getItem('hzyb-token')||''
    if(import.meta.env.MODE==='product'){
        return str.replace(/src="https:\/\/chartlib.hzinsights.com\/chartshow\?/g,`src="https://chartlib.hzinsights.com/chartshow?token=${token}&reportId=${reportId}&chapterId=${chapterId}&source=ybxcx&`)
    }else{
        return str.replace(/src="https:\/\/charttest.hzinsights.com\/chartshow\?/g,`src="https://charttest.hzinsights.com/chartshow?token=${token}&reportId=${reportId}&chapterId=${chapterId}&source=ybxcx&`)
    }
}